#!/bin/sh

OPEN2X=/mythtv/media/devel/toolchains/openwiz/arm-openwiz-linux-gnu
HOST=arm-openwiz-linux-gnu
TARGET=arm-openwiz-linux-gnu

export OPEN2X
export HOST
export TARGET

PATH=$PATH:$OPEN2X/bin
export PATH

./configure --prefix=$OPEN2X --with-sdl-exec-prefix=$OPEN2X \
	    --host=$HOST \
	    --target=$TARGET \
	    --build=`uname -m` \
	    CPPFLAGS="-I$OPEN2X/include" \
	    CXXFLAGS="-fomit-frame-pointer" \
	    LDFLAGS="-L$OPEN2X/lib -lSDL_mixer -lmad -lvorbisidec -lSDL_image -lSDL -lgc" \
	    --with-x=no
