#ifndef __jmalloc_hpp_
#define __jmalloc_hpp_


#include <stdlib.h>

//DKS
#undef MANAGE_MEM

//DKS
//#ifdef MANAGE_MEM
//enum {ALLOC_SPACE_STATIC,ALLOC_SPACE_CACHE};
//extern int alloc_space;
//void *jmalloc(int32_t size, char *what_for);
//void *jrealloc(void *ptr, int32_t size, char *what_for);
//void jfree(void *ptr);
//void mem_report(char *filename);
//void jmalloc_init(int32_t min_size);
//void jmalloc_uninit();
//int32_t j_allocated();
//int32_t j_available();
//extern void free_up_memory();
//#else
//#define jmalloc(x,y) malloc(x)
//#define jrealloc(x,y,z) realloc(x,y)
//#define jfree(x) free(x)
//#endif
//

enum {ALLOC_SPACE_STATIC,ALLOC_SPACE_CACHE};
extern int alloc_space;

#define jmalloc(x,y) malloc(x)
#define jrealloc(x,y,z) realloc(x,y)
//DKS need to debug a bad pointer deref, reenabling this with a custom jfree
#define jfree(x) free(x)
#define mem_report(x) printf("stub mem_report\n")
#define jmalloc_init(x) printf("stub jmalloc_init\n")
#define jmalloc_uninit(x) printf("stub jmalloc_uninit\n")
#define j_allocated() 0
#define j_available() 9999999


#endif





